<template>
  <div v-if="banners.length" class="fs-aslide__left">
    <swiper ref="GalleryTop" class="gallery-top" :options="options_gallery_top">
      <swiper-slide
        v-for="(banner, index) in banners"
        :key="'slider-' + index"
        class="swiper-slide"
      >
        <a class="thumb_img" :href="banner.url" target="_blank">
          <img
            class="lazyload swiper-lazy"
            data-sizes="auto"
            :data-srcset="
              resizeImage(baseImageUrl + banner.image_url, 360, 128) + ' 400w'
            "
            :src="resizeImage(baseImageUrl + banner.image_url, 360, 128)"
            :alt="'slider image' + index"
          />
          <img
            v-if="$device.isDesktopOrTablet"
            class="lazyload swiper-lazy"
            data-sizes="auto"
            :data-srcset="
              resizeImage(baseImageUrl + banner.image_url, 808, 288) +
              ' 1x, ' +
              baseImageUrl +
              banner.image_url +
              ' 2x'
            "
            :src="resizeImage(baseImageUrl + banner.image_url, 808, 288)"
            :alt="'slider image' + index"
          />
          <div class="swiper-lazy-preloader"></div>
        </a>
      </swiper-slide>
    </swiper>

    <swiper
      ref="GalleryThumbs"
      class="gallery-thumbs"
      :options="options_gallery_thumbs"
    >
      <swiper-slide
        v-for="bannerthumb in banners"
        :key="bannerthumb.description"
        class="swiper-slide"
      >
        <a href="javascript:;">{{ bannerthumb.description }}</a>
      </swiper-slide>
    </swiper>
  </div>
</template>

<script>
import Helper from '../../assets/config'

export default {
  name: 'Slider',
  props: {
    banners: {
      type: Array,
      default: null,
    },
  },
  data() {
    return {
      options_gallery_top: {
        preloadImages: false,
        lazy: true,
        autoplay: {
          delay: 4050,
          disableOnInteraction: false,
        },
        thumbs: {
          swiper: {
            el: '.gallery-thumbs',
            slidesPerView: 4,
          },
        },
      },
      options_gallery_thumbs: {
        slidesPerView: 4,
        freeMode: true,
        watchSlidesVisibility: true,
        watchSlidesProgress: true,
        breakpoints: {
          480: {
            slidesPerView: 4,
          },
          1024: {
            slidesPerView: 4,
          },
          1280: {
            slidesPerView: 4,
          },
        },
      },
    }
  },
  computed: {
    baseImageUrl() {
      return Helper.baseImageUrl
    },
  },
  methods: {
    resizeImage(url, width, height) {
      return Helper.resizeImage(url, width, height)
    },
  },
}
</script>
